#!/usr/bin/bash -ux

NAME=lp2046483
RELEASE=$1

lxc delete -f $NAME 2>/dev/null || true
lxc launch ubuntu-daily:$RELEASE $NAME
sleep 1
lxc exec $NAME -- cloud-init status --wait
lxc exec $NAME -- sh -c 'cat <<EOF >"/etc/apt/sources.list.d/ubuntu-$(lsb_release -cs)-proposed.list"

# Install proposed cloud-init, clean and reboot
deb http://archive.ubuntu.com/ubuntu/ $(lsb_release -cs)-proposed restricted main multiverse universe
EOF'
lxc exec $NAME -- sh -c "apt update && apt install cloud-init/${RELEASE}-proposed"
lxc exec $NAME -- cloud-init --version

lxc exec $NAME -- cloud-init clean --logs --reboot > /dev/null 2>&1
sleep 2

if lxc exec $NAME -- cloud-init status --wait ; then
 echo Test passed
 exit 0
else
 echo Test not passed
 exit 1
fi
